{
  lib,
  config,
  pkgs,
  system,
  ...
}:
let
  inherit (lib) mkIf;
  inherit (lib.snowfall.system) is-linux;
  inherit (lib.marleyos) enabled;

  isGenericLinux = config.targets.genericLinux.enable;
in
{
  # Anything in this folder should not include an enable/disable option. This is
  # the only folder that is always applied.
  config = {
    marleyos.my = {
      name = "marley";
      username = "punkfairie";
      fullName = "Marley Rae";
      email = "marley@punkfairie.net";
    };

    home.language.base = "en_US.UTF-8";

    programs.home-manager = enabled;

    # Autostart wanted systemd services.
    systemd.user.startServices = mkIf (is-linux system) true;
  };
}
